
package de.ivu.elect.business.sitzberechnung.control.verteilung;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;

public class KandidaturTeilnehmer<E extends Kandidatur> extends AbstractTeilnehmer<E> {

  private final E kandidatur;

  public KandidaturTeilnehmer(E kandidatur, long anzahlStimmen) {
    super(kandidatur, anzahlStimmen);

    this.kandidatur = kandidatur;
  }

  public E getKandidatur() {
    return kandidatur;
  }

  @Override
  protected String displayObject() {
    return getKandidatur().getFamilienname();
  }
}
